```html
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Mi primera página en HTML</title>
</head>
<body>
	<header> 
    <!-- Cabecera de la página -->
    <h1>Etiquetas semánticas</h1>
    <p>Contenido de ejemplo</p>
    <nav>
        <!-- Contenido de navegación -->
        <ul>
          <li>Inicio</li>
          <li>Contacto</li>
        </ul>
    </nav>
  </header>
  <main>
    <h2>Título del contenido</h2>
    <section>
      <!-- Contenido de la sección -->
    </section>
    <article>
      <!-- Contenido del artículo -->
    </article>
    <aside>
      <!-- Contenido adicional o anuncios -->
    </aside>
  </main>
  <footer>
    <!-- Pie de página -->
  </footer>
</body>
</html>
```

Este código `HTML` representa la estructura básica de una página web utilizando etiquetas semánticas. Aquí tienes una explicación detallada y definiciones cortas de las etiquetas utilizadas:

`<!DOCTYPE html>`: Esta declaración define la versión de `HTML` que se está utilizando. En este caso, se está utilizando `HTML5`.

`<html>`: Es el elemento raíz que envuelve todo el contenido de la página.

`<head>`: Contiene metadatos sobre el documento, como el conjunto de caracteres utilizado y el título de la página.

`<meta charset="UTF-8">`: Define el conjunto de caracteres utilizado en la página web, generalmente se establece en `UTF-8` para admitir caracteres internacionales.

`<title>`: Define el título de la página que se mostrará en la pestaña del navegador.

`<body>`: Contiene el contenido principal de la página web, como texto, imágenes, enlaces, etc.

`<header>`: Representa la cabecera de la página, que generalmente contiene elementos como títulos, logotipos y secciones de navegación.

`<h1>`: Es un encabezado de nivel 1, generalmente utilizado para el título principal de la página.

`<p>`: Representa un párrafo de texto.

`<nav>`: Define una sección de navegación.

`<ul>`: Representa una lista no ordenada.

`<li>`: Representa un elemento de lista.

`<main>`: Contiene el contenido principal de la página, excluyendo la cabecera y el pie de página.

`<h2>`: Es un encabezado de nivel 2, que puede utilizarse para títulos de secciones dentro del contenido principal.

`<section>`: Define una sección en el documento.

`<article>`: Define un contenido independiente que podría existir y ser distribuido por separado del resto del contenido.

`<aside>`: Representa contenido relacionado, pero que está tangencial al contenido principal, como barras laterales o anuncios.

`<footer>`: Representa el pie de página de la página web.

En resumen, las etiquetas semánticas en `HTML` se utilizan para estructurar y describir el contenido de una manera más significativa, lo que facilita la comprensión del documento tanto para los desarrolladores como para las máquinas.

